@font-face {
  font-family: duke-fill;
  src: url(../fonts/Duke\ Fill.otf);
}

body {
  font-family: sans-serif;
  line-height: 1.4;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'duke-fill', sans-serif;
  color: #da1c4f;
}

a {
  text-decoration: none;
  color: #383c3b;
  transition: all 0.2s ease-in-out;
}

/* images should never exceed their container */
img {
  max-width: 100%;
}

.container {
  max-width: 1440px;
  margin: 0 auto;
}

.header {
  padding: 50px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.menu-container {
  display: flex;
  gap: 53px;
  margin-right: 20px;
}

.menu-container a {
  text-transform: uppercase;
  font-size: 16px;
  letter-spacing: 1px;
}

.menu-container a:hover {
  color: #da1c4f;
}

.hero {
  display: flex;
  padding: 120px 0;
  align-items: center;
  gap: 140px;
}

.hero-image-container,
.hero-content-container {
  width: 50%;
}

.hero-heading {
  font-size: 110px;
  text-transform: lowercase;
  line-height: 144px;
}

.hero-heading span {
  display: block;
  font-size: 38px;
  font-style: normal;
  color: #fbc30b;
  line-height: 20px;
}

.hero-post-date {
  font-family: 'duke-fill', sans-serif;
  font-size: 20px;
  margin: 30px 0 38px 0;
}

.hero-post-excerpt {
  margin: 0 130px 70px 0;
}

.read-more-link {
  font-family: 'duke-fill', sans-serif;
  font-size: 22px;
  color: #da1c4f;
  font-style: italic;
  padding-bottom: 6px;
  border-bottom: 2px solid #fbc30b;
}

.align-right {
  float: right;
}

#logo{
  height: 50px;
  width: 150px;
  margin-left: 30px;
}

ul{
  list-style-type: none;
}

#orange{
  color: #f05323;
}

#green{
  color: #43b149;
}

#blue{
  color: #2776bc;
}

#yellow{
  color: #fbc30b
}

#pink{
  color: #da1c4f;
}

/* media queries */
/* apply all the rules below when are under 1024px in the browser */

@media (max-width: 1024px) {
  .hero {
    display: block;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-left: 70px;
  }

  .hero-image-container,
  .hero-content-container {
    width: 100%;
  }

  .hero-post-excerpt {
    margin: 0;
  }

  .align-right {
    float: none;
    display: inline-block;
    margin-top: 100px;
  }

  .menu-container {
    display: flex;
    gap: 25px;
  }

  .header {
    padding: 20px 0;
  }

  .hero-post-excerpt{
    padding: 20px;
  }

  figure{
    margin-inline-start: 20px;
  }

  .hero-content-container{
    margin-left: 20px;
  }

  .hero-heading span {
    display: block;
    font-size: 38px;
    font-style: normal;
    color: #fbc30b;
    line-height: 30px;
  }
}


